#ifndef _DECMCC_H_
#define _DECMCC_H_

/*
 * decMCC.h
 *
 *    Copyright (c) 1995-2000 Nokia Research Center
 *
 * Contains:
 *    Decoding functions for reconstructing the prediction error from 
 *    the coding information.
 *
 */


#include "mainFlags.h"
#include "toolMCC.h"

/*
 * Defines
 */


/*
 * Structs and typedefs
 */


/*
 * Function prototypes
 */

int dec8x8(int *predBlock, int *recoBlock, int *methCoeffs, int *dctCoeffs,
           int qp, int methNumber, int class, int chroma, int mode,
           u_char predDirIn);

int dec4x4(int *predBlock, int *recoBlock, int *methInfo, int *dctCoeffs,
           int qp, int *extrapSource, int pels, int chroma, int mode,
           int blkSize);


#endif  /* _DECMCC_H_ */
